# Generated from cabin-0.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cabin
%global version 0.9.0
%global release 1

Summary: Experiments in structured and contextual logging
Name: rubygem-%{gem_name}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: Apache-2.0
URL: https://github.com/jordansissel/ruby-cabin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch

%description
This is an experiment to try and make logging more flexible and more
consumable. Plain text logs are bullshit, let's emit structured and contextual
logs. Metrics, too!

%package	doc
Summary:	Documentation for %{name}
# Directory ownership issue
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documentation for %{name}

%prep
%setup -q -n %{gem_name}-%{version}
mv ../%{gem_name}-%{version}.gemspec .

%build
gem build ./%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

# cleanup
pushd %{buildroot}%{gem_instdir}
rm -rf \
	examples \
    test
	%{nil}
popd

%files
%dir %{gem_instdir}
%exclude %{gem_cache}
%{_bindir}/rubygems-cabin-test
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}
%license %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELIST

%changelog
* Sat Feb 01 2025 curtisy <curtisy@mailbox.org> - 0.9.0
- Initial version of the package
